/*ghassan fakher
 * section 6
 gkf01*/
public class Fraction {
	int numerator; int denomenator;
	// constructor n/p
	public Fraction(int n, int v)
	{
		numerator = n; denomenator = v; 
	}
	//constructor, default denominator = 1
	public Fraction(int v)
	{
		numerator = v; denomenator = 1;
	}
	// returns printed representation
	public String toString()
	{
		return (numerator + "/" + denomenator);
	}
	//multiplication
	public Fraction times(Fraction f)
	{
		int num = numerator * f.numerator;
		int deno = denomenator * f.denomenator;
		return new Fraction(num, deno);
	}
	// addition
	public Fraction plus(Fraction f)
	{
		int num = numerator * f.denomenator + f.numerator * denomenator;
		int deno = denomenator * f.denomenator;
		return(new Fraction(num, deno));	//not in irreducible form
	}
	//equality check
	public boolean equals(Fraction f)	
	{
		boolean equals = false;
		if((numerator / f.numerator) * denomenator == f.denomenator)	// two fractions are equal if their common ratio is the same
			equals = true;
		return equals;
	}
	// < operator
	public boolean lessThan(Fraction f)
	{
		boolean isLess = false;	
		if(f.denomenator > denomenator)
			isLess = false;	//as the denomenator increases, the value of the fraction decreases
		else if(denomenator == f.denomenator)
		{
			if(numerator > f.denomenator)
				isLess = false;
			else 
				isLess = true;
		}
		
		return isLess;
	}
}
