/*ghassan fakher
 * gkf01
 section 6*/
public class InsertionSortOfStrings {
	public static void main(String[] args)
	{
		int length = fileLength(args[0]);
		String [] words = new String [length];
		buildArrayString(words, args[0]);
		
		stringSort(words);
		print(words, args[1]);
	}
	// calculates the length of the input file
	public static int fileLength(String fileName)
	{
		In input = new In(fileName);
		int numStrings = 0; 
		while(!input.isEmpty())
		{
			input.readString();
			numStrings++;
		}
		return numStrings;
	}
	//constructs an array of the words of  the input file
	public static String[] buildArrayString(String[] words, String fileName)
	{
		In input = new In(fileName);
		for(int i = 0; i < words.length; i++)
		{
			words[i] = input.readString();
		}
		return words;
	}
	//method that sorts the strings according to dictionary order
	public static void stringSort(String[] words)
	{
		for (int j = 0; j < words.length; j++)
		{
			for(int i = 1; i < words.length; i++)
			{
				if(words[i].compareTo(words[i-1]) < 0) // if lexicographically smaller than the string before
				{
					String temp = words[i];				// swap places.
					words[i] = words[i-1];
					words[i-1] = temp;
				}
			}
		}	
	}
	//prints the output to a selected file 
	public static void print(String[] words, String outputFile)
	{
		Out output = new Out (outputFile);
		for(int i = 0; i < words.length;i++)
			output.print(words[i]);
		System.out.println();
	}
}
